checksums.yaml ADDED
@@ -0,0 +1,7 @@
1
+ ---
2
+ SHA256:
3
+ metadata.gz: cbc341fc92ba35af7c9278dec7f7ee336ac5f6beb8198574c15108cbb507a53b
4
+ data.tar.gz: 5f4b56eb5fa779f60d14e7f49a043ba65a51278d5f0dd70f7df846a9c297164f
5
+ SHA512:
6
+ metadata.gz: f7c69161c93d05f966605402db17e9a5005a00b33808e7de74e10b0667274d35a8c708375be9cfbba8ad82163d97cc08f6c31fa69f410c8dd10cc67590c40775
7
+ data.tar.gz: c9d10ae25fcfb98af533d6e8fb019b40a20e85af715d3cdceb7791e355ed91230c6fb4593535e86973592228aa36db158dced713e808161dcbabb5d139c690b0
data/bin/promptmc ADDED
@@ -0,0 +1,19 @@
1
+ #!/usr/bin/env ruby
2
+ require 'rubygems'
3
+ require 'thor'
4
+
5
+ class PromptMC < Thor
6
+ package_name 'PromptMC'
7
+
8
+ desc 'start', 'Starts PromptMC server'
9
+ def start
10
+ `PROMPTMC_MODE=prod ruby #{__dir__}/../lib/website.rb`
11
+ end
12
+
13
+ desc 'stop', 'Stops PromptMC server'
14
+ def stop
15
+ `pkill localhost:4567`
16
+ end
17
+ end
18
+
19
+ PromptMC.start
data/lib/public/favicon.ico ADDED
Binary file
data/lib/public/styles.css ADDED
@@ -0,0 +1,4 @@
1
+ body {
2
+ font-family: monospace;
3
+ text-align: center;
4
+ }
data/lib/views/index.haml ADDED
@@ -0,0 +1,10 @@
1
+ !!!
2
+ %html
3
+ %head
4
+ %title PromptMC
5
+ %link(rel="stylesheet" href="styles.css")
6
+ %link(rel="shortcut icon" href="favicon.ico")
7
+ %body
8
+ %h1 PromptMC
9
+ %p
10
+ This is a placeholder.
data/lib/website.rb ADDED
@@ -0,0 +1,10 @@
1
+ require 'optparse'
2
+ require 'rubygems'
3
+ require 'haml'
4
+ require 'sinatra'
5
+
6
+ get '/' do
7
+ haml :index
8
+ end
9
+
10
+ Process.daemon(true) if ENV['PROMPTMC_MODE'] == 'prod'
metadata ADDED
@@ -0,0 +1,108 @@
1
+ --- !ruby/object:Gem::Specification
2
+ name: promptmc
3
+ version: !ruby/object:Gem::Version
4
+ version: 0.0.1
5
+ platform: ruby
6
+ authors:
7
+ - Josh Quail
8
+ autorequire:
9
+ bindir: bin
10
+ cert_chain: []
11
+ date: 2019-12-02 00:00:00.000000000 Z
12
+ dependencies:
13
+ - !ruby/object:Gem::Dependency
14
+ name: docker
15
+ requirement: !ruby/object:Gem::Requirement
16
+ requirements:
17
+ - - "~>"
18
+ - !ruby/object:Gem::Version
19
+ version: '0.4'
20
+ type: :runtime
21
+ prerelease: false
22
+ version_requirements: !ruby/object:Gem::Requirement
23
+ requirements:
24
+ - - "~>"
25
+ - !ruby/object:Gem::Version
26
+ version: '0.4'
27
+ - !ruby/object:Gem::Dependency
28
+ name: haml
29
+ requirement: !ruby/object:Gem::Requirement
30
+ requirements:
31
+ - - "~>"
32
+ - !ruby/object:Gem::Version
33
+ version: '5.1'
34
+ type: :runtime
35
+ prerelease: false
36
+ version_requirements: !ruby/object:Gem::Requirement
37
+ requirements:
38
+ - - "~>"
39
+ - !ruby/object:Gem::Version
40
+ version: '5.1'
41
+ - !ruby/object:Gem::Dependency
42
+ name: sinatra
43
+ requirement: !ruby/object:Gem::Requirement
44
+ requirements:
45
+ - - "~>"
46
+ - !ruby/object:Gem::Version
47
+ version: '2.0'
48
+ type: :runtime
49
+ prerelease: false
50
+ version_requirements: !ruby/object:Gem::Requirement
51
+ requirements:
52
+ - - "~>"
53
+ - !ruby/object:Gem::Version
54
+ version: '2.0'
55
+ - !ruby/object:Gem::Dependency
56
+ name: thor
57
+ requirement: !ruby/object:Gem::Requirement
58
+ requirements:
59
+ - - "~>"
60
+ - !ruby/object:Gem::Version
61
+ version: '0.20'
62
+ type: :runtime
63
+ prerelease: false
64
+ version_requirements: !ruby/object:Gem::Requirement
65
+ requirements:
66
+ - - "~>"
67
+ - !ruby/object:Gem::Version
68
+ version: '0.20'
69
+ description: Much longer explanation of the example!
70
+ email: josh@madbean.com
71
+ executables:
72
+ - promptmc
73
+ extensions: []
74
+ extra_rdoc_files: []
75
+ files:
76
+ - bin/promptmc
77
+ - lib/public/favicon.ico
78
+ - lib/public/styles.css
79
+ - lib/views/index.haml
80
+ - lib/website.rb
81
+ homepage: https://rubygems.org/gems/promptmc
82
+ licenses:
83
+ - MIT
84
+ metadata:
85
+ source_code_uri: https://github.com/realtable/promptmc
86
+ bug_tracker_uri: https://github.com/realtable/promptmc/issues
87
+ post_install_message:
88
+ rdoc_options: []
89
+ require_paths:
90
+ - lib
91
+ required_ruby_version: !ruby/object:Gem::Requirement
92
+ requirements:
93
+ - - ">="
94
+ - !ruby/object:Gem::Version
95
+ version: '0'
96
+ required_rubygems_version: !ruby/object:Gem::Requirement
97
+ requirements:
98
+ - - ">="
99
+ - !ruby/object:Gem::Version
100
+ version: '0'
101
+ requirements:
102
+ - daemonised Docker
103
+ rubyforge_project:
104
+ rubygems_version: 2.7.7
105
+ signing_key:
106
+ specification_version: 4
107
+ summary: A web app for managing localhost Minecraft servers
108
+ test_files: []